Bug 608066 - Review request: ldc - a compiler for the D programming language
Review request: ldc - a compiler for the D programming language
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 11:05 EDT by MERCIER Jonathan
Modified: 2014-06-18 04:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 05:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cdahlin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2010-06-25 11:05:51 EDT
Spec url:
http://bioinfornatics.fedorapeople.org/ldc.spec

src.rpm url:
http://bioinfornatics.fedorapeople.org/ldc-0.9.2-1.20100706hg1653.fc13.src.rpm


$ rpmlint -i SPECS/ldc.spec 
SPECS/ldc.spec:66: E: hardcoded-library-path in %{_prefix}/lib/.empty
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

SPECS/ldc.spec: W: invalid-url Source0: ldc-20100706hg1653.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

0 packages and 1 specfiles checked; 1 errors, 1 warnings.
_____________________________________________________________________________

$ rpmlint -i SRPMS/ldc-0.9.2-1.20100706hg1653.fc13.src.rpm => wrong misspeling warning
_____________________________________________________________________________

$ rpmlint RPMS/x86_64/ldc-* ==> wrong misspeling warning and :
ldc.x86_64: W: no-manual-page-for-binary ldc
ldc.x86_64: W: no-manual-page-for-binary ldmd
Comment 1 Casey Dahlin 2010-06-25 14:08:00 EDT
You should fix the error and warning. Neither are hard.

For the error just replace %{_prefix}/lib with %{_libdir}. Unless that doesn't work because the program places the file in lib regardless? Perhaps there's a config option that will help that.

The warning is simple. You should specify the Source0 as a download link for the tarball, not just its name.
Comment 2 MERCIER Jonathan 2010-06-25 14:49:06 EDT
the warning about %{_prefix} can not be remove because %{_libdir} = /usr/lib | /usr/lib64 or here is always /usr/lib
and this warning is for:
rm %{buildroot}%{_prefix}/lib/.empty

i remove an empty file i put any file in %{_prefix}/lib

Anf or Source i use upstream and in comment they are all information
Comment 3 MERCIER Jonathan 2010-06-25 14:51:26 EDT
link to guideline for name: https://fedoraproject.org/wiki/Packaging:NamingGuidelines#PreReleasePackages
Comment 4 MERCIER Jonathan 2010-06-25 19:10:40 EDT
i have update spec file, all is put here: http://bioinfornatics.fedorapeople.org/

this empty file is removed because it's never used. "lib" is explicitely used instead of %_libdir because it's always used (not arch dependant).

As I'm using a mercurial repo for the source, I can' t provide a download link, but the tarball creation process is explained in spec comments
Comment 5 Casey Dahlin 2010-06-28 14:40:39 EDT
Upstream doesn't release source tarballs I see. That's extremely weird, and you should strongly pressure them to publish tars of the source alongside their binaries. That said, its ok to do it this way for now.

Give me a little more time to check the rest of the guidelines.
Comment 6 MERCIER Jonathan 2010-06-28 15:54:07 EDT
No problem :)
here review guideline: https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Comment 7 Casey Dahlin 2010-07-02 15:21:24 EDT
I'd update your comment about how to build the tarball to explain /why/ that exercise must be gone through and what the upstream situation is. Beyond that I'd say this is set. Do you need a sponsor?
Comment 8 MERCIER Jonathan 2010-07-02 15:30:27 EDT
i need a review :)
(is not my first package)
Comment 9 Rakesh Pandit 2010-07-05 07:14:34 EDT
@Casey Dahlin

Hi, it seems you are not sponsor, so you cannot approve this package. But you can unofficial review which I would count this to be, even though this review request is messed up.

Undone fedora-review tag and updating summary. Also added FE-NEEDSPONSOR to blocker list.
Comment 10 Mohamed El Morabity 2010-07-05 07:28:31 EDT
Jonathan is already sponsored, as he said...
   https://admin.fedoraproject.org/pkgdb/users/packages/bioinfornatics
Comment 11 Rakesh Pandit 2010-07-05 09:10:22 EDT
@Casey Dahlin

Ok, my bad, as Jonathan is already sponsored - in case you consider this as approved mark the flag.

Don't forget to change status as well.
Comment 12 Casey Dahlin 2010-07-06 14:39:18 EDT
I don't see anything in the review process about a status change, though I do see I need to actually assign it to myself.
Comment 13 Rakesh Pandit 2010-07-07 00:29:58 EDT
(In reply to comment #8)
> i need a review :)
> (is not my first package)    

You can request for cvs and import.

@Casey

Actually "I need a review" comment even after approval and wrong summary message confused me. Moreover generally reviewers tend to paste a check list and "approved" message in comments (both of which are not mandatory but common practice) in review requests which was not present here.
Comment 14 MERCIER Jonathan 2010-07-07 01:48:08 EDT
same as said Rakesh Pandit : ideally is paste here all NEED and SHOULD statement here and add foreach a comment: ok, available or not sometime you need explain more.
statement here: https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Now if Casey Dahlin said 'i can request cvs' so ths review is finish
Comment 15 Casey Dahlin 2010-07-07 14:36:12 EDT
@Rakesh: I'll keep that in mind.

@Jonathan: Go ahead and make your CVS request.
Comment 16 MERCIER Jonathan 2010-07-07 21:16:32 EDT
New Package CVS Request
=======================
Package Name: xautomation
Short Description: It is a compiler for the D programming language
Owners: bioinfornatics
Branches: F-12 F-13
Comment 17 MERCIER Jonathan 2010-07-07 21:16:49 EDT
New Package CVS Request
=======================
Package Name: ldc
Short Description: It is a compiler for the D programming language
Owners: bioinfornatics
Branches: F-12 F-13
Comment 18 Kevin Fenzi 2010-07-09 14:19:47 EDT
CVS done (by process-cvs-requests.py).
Comment 19 Susi Lehtola 2010-08-27 11:57:02 EDT
This is not NOTABUG. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.